import { observable } from "mobx";
import { IndoorMapStore } from "./stores/indoor-map.store";
import { MapStore as RootMapStore } from "./stores/map-store";
import { AddLandmarkStore } from "./components/maps/panels/add-landmark-panel/add-landmark-panel.store";
import { FilterStore } from "./components/maps/panels/filter-panel/filter-panel.store";
import { NearbyLandmarkPanelStore } from "./components/maps/panels/nearby-landmarks-panel/nearby-landmarks-panel.store";
import { SelectedLandmarkStore } from "./stores/selected-landmark-panel.store"
import { VoicePanelStore } from "./components/maps/panels/voice-panel/voice-panel.store";
import { GlobalStore } from "./global-store";

export class MainStore {
    mapRoot: RootMapStore;
    mapIndoor: IndoorMapStore;
    selectedLm: SelectedLandmarkStore;
    addLm: AddLandmarkStore;
    nearbyLm: NearbyLandmarkPanelStore;
    voice: VoicePanelStore;
    filters: FilterStore;
    api: ApiStore;
    global: GlobalStore;

    constructor() {
        this.selectedLm = new SelectedLandmarkStore();
        this.addLm = new AddLandmarkStore();
        this.nearbyLm = new NearbyLandmarkPanelStore();
        this.voice = new VoicePanelStore(this);
        this.mapRoot = new RootMapStore();
        this.mapIndoor = new IndoorMapStore();
        this.filters = new FilterStore();
        this.global = new GlobalStore();
    }
}

export const store = new MainStore();